System.Gadget.onDock = CheckDockState;
System.Gadget.onUndock = CheckDockState;

function open_gadget()
{
  document.body.style.width ="320px";
  document.body.style.height="240px";
  document.getElementById("wrapper").style.display="block";
  document.getElementById("docked").style.display="none";
  
  document.getElementById("imgBackground").src="./img/background.png";

  document.getElementById("w").ondblclick=close_gadget;
}

function close_gadget()
{
  document.body.style.width ="130px";
  document.body.style.height="130px";
  document.getElementById("wrapper").style.display="none";
  document.getElementById("docked").style.display="block";

  document.getElementById("imgBackground").src="./img/cc_130x130.png";

  document.getElementById("w").ondblclick=open_gadget;
}

function CheckDockState()
{ 
 if(System.Gadget.docked)
 {
  close_gadget();
 }
 else
 {
  open_gadget();
 }
}


var box1_open=0;
var box2_open=0;


var currency_code = new Array(
"AUD",
"GBP",
"BGN",
"CAD",
"EUR",
"JPY",
"TRY",
"NZD",
"RON",
"RUB",
"CHF",
"USD"
);

var currency_text = new Array(
"Australlian Dollar (AUD)",
"British Pound (GBP)",
"Bulgarian Lev (BGN)",
"Canadian Dollar (CAD)",
"Euro (EUR)",
"Japanese Yen (JPY)",
"New Turkish Lira (TRY)",
"New Zealand Dollar (NZD)",
"Romanian New Leu (RON)",
"Russian Rouble (RUB)",
"Swiss Frank (CHF)",
"US Dollar (USD)"
);

///////////////////////////////////
///////////////////////////////////

function StripTags(strMod){
    if(arguments.length<3) strMod=strMod.replace(/<\/?(?!\!)[^>]*>/gi, '');
    else{
        var IsAllowed=arguments[1];
        var Specified=eval("["+arguments[2]+"]");
        if(IsAllowed){
            var strRegExp='</?(?!(' + Specified.join('|') + '))\b[^>]*>';
            strMod=strMod.replace(new RegExp(strRegExp, 'gi'), '');
        }else{
            var strRegExp='</?(' + Specified.join('|') + ')\b[^>]*>';
            strMod=strMod.replace(new RegExp(strRegExp, 'gi'), '');
        }
    }
    return strMod;
    
}

//////////////////////////////////////////
//////////////////////////////////////////


function getResult(url)
{


var X_getResult;

  try
  {
	 //Firefox,Opera,Safari
	 X_getResult = new XMLHttpRequest();
  }
	catch (e)
	{
		//IE
		try
		{
			X_getResult = new ActiveXObject("Msxm12.XMLHTTP");
		}
		catch (e)	 
		{
			 try
			 {
				X_getResult = new ActiveXObject("Microsoft.XMLHTTP");
			 } 
			 catch (e)
			 {
				
				
			 }
		}
       }

X_getResult.onreadystatechange = function() 
{ 
    if(X_getResult.readyState == 4 && X_getResult.status == 200)
    { 

      //Get data from the servers response
      var html =  X_getResult.responseText;
      html = StripTags(html);
      var html_array=html.split(" ");
      var Curr1 = document.form.Curr1.value;
      var Curr2 = document.form.Curr2.value;
      var how_much = document.form.how_much.value; 
      if(how_much=="" || how_much==0)how_much=1;
      document.getElementById("result").innerHTML = html_array[1]+" "+Curr2;

    }
}

       X_getResult.open("GET",url);
	X_getResult.setRequestHeader("Content-type","application/x-www-form-urlencoded");
	X_getResult.setRequestHeader("Connection","close");
	X_getResult.send(null);
}


///////////////////////////////////
///////////////////////////////////




function getRate(url)
{

var X_getRate;
  try
  {
	 //Firefox,Opera,Safari
	 X_getRate = new XMLHttpRequest();
  }
	catch (e)
	{
		//IE
		try
		{
			X_getRate = new ActiveXObject("Msxm12.XMLHTTP");
		}
		catch (e)	 
		{
			 try
			 {
				X_getRate = new ActiveXObject("Microsoft.XMLHTTP");
			 } 
			 catch (e)
			 {
				
				
			 }
		}
       }

X_getRate.onreadystatechange = function() 
{ 
    if(X_getRate.readyState == 4 && X_getRate.status == 200)
    { 
      //Get data from the servers response
      var html =  X_getRate.responseText;
      html = StripTags(html);
      var html_array=html.split(" ");
      var Curr1 = document.form.Curr1.value;
      var Curr2 = document.form.Curr2.value;
      document.getElementById("exchange_rate").innerHTML = "1 "+Curr1+" = "+html_array[1]+" "+Curr2;


    }
}

       X_getRate.open("GET",url);
	X_getRate.setRequestHeader("Content-type","application/x-www-form-urlencoded");
	X_getRate.setRequestHeader("Connection","close");
	X_getRate.send(null);
}



///////////////////////////////////
///////////////////////////////////


function Curr1_action(x)
{
  document.getElementById('Curr1_text').innerHTML = currency_text[x];
  document.form.Curr1.value = currency_code[x];
  document.getElementById('Curr1_box').style.display="none";
  box1_open=0;
}
function Curr2_action(x)
{
  document.getElementById('Curr2_text').innerHTML = currency_text[x];
  document.form.Curr2.value = currency_code[x];
  document.getElementById('Curr2_box').style.display="none";
  box2_open=0;
}


function toggle(str)
{

 if(str=='Curr1_box')
 {
     if(box1_open==0)
     {
      document.getElementById('Curr2_box').style.display="none";
      document.getElementById('Curr1_box').style.display = "block"; 
      box1_open=1;
      box2_open=0;
     }
     else
     {
       document.getElementById('Curr2_box').style.display="none";
       document.getElementById('Curr1_box').style.display = "none"; 
       box1_open=0;
       box2_open=0;
     }
 }

 if(str=='Curr2_box')
 {
     if(box2_open==0)
     {
      document.getElementById('Curr2_box').style.display = "block";
      document.getElementById('Curr1_box').style.display = "none"; 
      box2_open=1;
      box1_open=0;
     }
     else
     {
       document.getElementById('Curr2_box').style.display = "none";
       document.getElementById('Curr1_box').style.display = "none"; 
       box2_open=0;
       box1_open=0;
     }
 }


}
   

function close_box()
{

    document.getElementById("Curr1_box").style.display="none";
    
}


///////////////////////////////////
///////////////////////////////////

function IsNumeric(sText)
{
   var ValidChars = "0123456789.";
   var IsNumber=true;
   var Char;

 
   for (i = 0; i < sText.length && IsNumber == true; i++) 
   { 
      Char = sText.charAt(i); 
      if (ValidChars.indexOf(Char) == -1) 
         {
         IsNumber = false;
         }
   }
   return IsNumber;
   
}

function submit_form()
{
 var Curr1 = document.form.Curr1.value;
 var Curr2 = document.form.Curr2.value;
 var how_much = document.form.how_much.value;
 
  
 if(IsNumeric(how_much))
  how_much=parseFloat(how_much);
 else
 {
  how_much=1;
	document.form.how_much.value = "1"; 
 }
 if(how_much==0 || how_much=="")
 {
   how_much=1;
	 document.form.how_much.value = "1";   
 } 

 if(how_much > 100000000000)
 {
  how_much = 100000000000;
  document.form.how_much.value = "100000000000.00";    
 }
 
  
 var result_url = "http://www.deltastock.com/widgets/CurrConvertor.asp?Curr1="+Curr1+"&Curr2="+Curr2+"&how_much="+how_much;
 getResult(result_url); 

 var rate_url = "http://www.deltastock.com/widgets/CurrConvertor.asp?Curr1="+Curr1+"&Curr2="+Curr2+"&how_much=1";
 getRate(rate_url);  
 
 setTime();
}




function swap()
{
 var Curr1 = document.form.Curr1.value;
 var Curr2 = document.form.Curr2.value;
 
 for(var i=0;i<currency_code.length;i++)
 {
  if(currency_code[i]==Curr1)
    Curr2_action(i);
  if(currency_code[i]==Curr2)
    Curr1_action(i);
 }

 submit_form();
}


